
Ruby - Bug #10804

[BUG] Segmentation fault ruby 2.1.5p273 (2014-11-13 revision 48405) [i386-mingw32]

01/30/2015 03:22 PM - supergirl630 (Sophia Harrison)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: 2.1.0 Backport: 2.0.0: UNKNOWN, 2.1: UNKNOWN, 2.2:

UNKNOWN

Description

-- Control frame information -----------------------------------------------

c:0004 p:---- s:0010 e:000009 CFUNC  :gets

c:0003 p:---- s:0008 e:000007 CFUNC  :gets

c:0002 p:0027 s:0005 E:0003f8 EVAL   loops-3.rb:5 [FINISH]

c:0001 p:0000 s:0002 E:002204 TOP    [FINISH]

loops-3.rb:5:in `<main>'

loops-3.rb:5:in `gets'

loops-3.rb:5:in `gets'

-- C level backtrace information -------------------------------------------

C:\Windows\SysWOW64\ntdll.dll(ZwWaitForSingleObject+0x15) [0x77C6F8D1]

C:\Windows\syswow64\kernel32.dll(WaitForSingleObjectEx+0x43) [0x75651194]

C:\Windows\syswow64\kernel32.dll(WaitForSingleObject+0x12) [0x75651148]

C:\RailsInstaller\Ruby2.1.0\bin\msvcrt-ruby210.dll(rb_vm_bugreport+0xa7) [0x6D394A17]

C:\RailsInstaller\Ruby2.1.0\bin\msvcrt-ruby210.dll(rb_name_err_mesg_new+0x69f) [0x6D248F7F]

C:\RailsInstaller\Ruby2.1.0\bin\msvcrt-ruby210.dll(rb_bug+0x2e) [0x6D249D5E]

C:\RailsInstaller\Ruby2.1.0\bin\msvcrt-ruby210.dll(rb_check_safe_str+0x34b) [0x6D31486B]

 [0x00401866]

C:\Windows\SysWOW64\ntdll.dll(RtlKnownExceptionFilter+0xb7) [0x77CC74FF]

-- Other runtime information -----------------------------------------------

* Loaded script: loops-3.rb

* Loaded features:

    0 enumerator.so

    1 C:/RailsInstaller/Ruby2.1.0/lib/ruby/2.1.0/i386-mingw32/enc/encdb.so

    2 C:/RailsInstaller/Ruby2.1.0/lib/ruby/2.1.0/i386-mingw32/enc/iso_8859_1.so

    3 C:/RailsInstaller/Ruby2.1.0/lib/ruby/2.1.0/i386-mingw32/enc/trans/transdb.so

    4 C:/RailsInstaller/Ruby2.1.0/lib/ruby/2.1.0/i386-mingw32/rbconfig.rb

    5 thread.rb

    6 C:/RailsInstaller/Ruby2.1.0/lib/ruby/2.1.0/i386-mingw32/thread.so

    7 C:/RailsInstaller/Ruby2.1.0/lib/ruby/site_ruby/2.1.0/rubygems/compatibility.rb

    8 C:/RailsInstaller/Ruby2.1.0/lib/ruby/site_ruby/2.1.0/rubygems/defaults.rb

    9 C:/RailsInstaller/Ruby2.1.0/lib/ruby/site_ruby/2.1.0/rubygems/deprecate.rb

   10 C:/RailsInstaller/Ruby2.1.0/lib/ruby/site_ruby/2.1.0/rubygems/errors.rb

   11 C:/RailsInstaller/Ruby2.1.0/lib/ruby/site_ruby/2.1.0/rubygems/version.rb

   12 C:/RailsInstaller/Ruby2.1.0/lib/ruby/site_ruby/2.1.0/rubygems/requirement.rb

   13 C:/RailsInstaller/Ruby2.1.0/lib/ruby/site_ruby/2.1.0/rubygems/platform.rb

   14 C:/RailsInstaller/Ruby2.1.0/lib/ruby/site_ruby/2.1.0/rubygems/basic_specification.rb

   15 C:/RailsInstaller/Ruby2.1.0/lib/ruby/site_ruby/2.1.0/rubygems/stub_specification.rb

   16 C:/RailsInstaller/Ruby2.1.0/lib/ruby/site_ruby/2.1.0/rubygems/util/stringio.rb

   17 C:/RailsInstaller/Ruby2.1.0/lib/ruby/site_ruby/2.1.0/rubygems/specification.rb

   18 C:/RailsInstaller/Ruby2.1.0/lib/ruby/site_ruby/2.1.0/rubygems/exceptions.rb

   19 C:/RailsInstaller/Ruby2.1.0/lib/ruby/2.1.0/rubygems/defaults/operating_system.rb

   20 C:/RailsInstaller/Ruby2.1.0/lib/ruby/site_ruby/2.1.0/rubygems/core_ext/kernel_gem.rb

   21 C:/RailsInstaller/Ruby2.1.0/lib/ruby/2.1.0/monitor.rb

   22 C:/RailsInstaller/Ruby2.1.0/lib/ruby/site_ruby/2.1.0/rubygems/core_ext/kernel_require.rb
   23 C:/RailsInstaller/Ruby2.1.0/lib/ruby/site_ruby/2.1.0/rubygems.rb

History

#1 - 01/30/2015 05:01 PM - nobu (Nobuyoshi Nakada)

- Description updated

- Status changed from Open to Feedback

Probably, same as #10408?

#2 - 07/23/2019 03:09 PM - jeremyevans0 (Jeremy Evans)

- Status changed from Feedback to Closed
